## kufr-1.0-python-2024.zip

=== pyinstaller/kufr-1.0/Makefile ===
DESTDIR = $(HOME)
SHELL = /bin/bash
INSFLAGS = -m 0755

#############################################################################
.PHONY: all clean install
all: dist/kufr/kufr

dist/kufr/kufr: kufr.py
	pyi-makespec kufr.py
	pyinstaller kufr.spec

clean:
	rm -rf ./build
	rm -rf ./dist
	rm -f kufr.spec

install: dist/kufr/kufr
	mkdir -p $(DESTDIR)/opt
	cd dist; find kufr -type f -exec install -D $(INSFLAGS) "{}" "$(DESTDIR)/opt/{}" \;

=== pyinstaller/debian/control ===
Source: kufr
Section: Games
Priority: extra
Maintainer: Jaroslav Dytrych <dytrych@fit.vut.cz>
Build-Depends: debhelper (>= 13), debhelper-compat (= 13), python3-pyside2.qtgui, python3-pyside2.qtwidgets
Standards-Version: 4.1.2
Homepage: https://ivs.fit.vutbr.cz/

Package: kufr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Kufr
 Simple game

=== python/debian/control ===
Source: kufr
Section: Games
Priority: extra
Maintainer: Jaroslav Dytrych <dytrych@fit.vut.cz>
Build-Depends: debhelper (>= 13), debhelper-compat (= 13), python3-pyside2.qtgui, python3-pyside2.qtwidgets
Standards-Version: 4.1.2
Homepage: https://ivs.fit.vutbr.cz/

Package: kufr
Architecture: any
Depends: ${misc:Depends}, python3-pyside2.qtgui, python3-pyside2.qtwidgets
Description: Kufr
 Simple game

=== pyinstaller/debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
override_dh_shlibdeps:
	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info

%:
	dh $@


# dh_make generated override targets
# This is example for Cmake (See https://bugs.debian.org/641051 )
#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)
